summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rwxr-xr-xCMakeLists.txt2
-rw-r--r--contrib/translation-stub.sh17
2 files changed, 18 insertions, 1 deletions
diff --git a/CMakeLists.txt b/CMakeLists.txt
index 42015aa9..f5974403 100755
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -30,7 +30,7 @@ cmake_minimum_required(VERSION 2.8.11)
set_property(GLOBAL PROPERTY opentrack-all-modules "")
set_property(GLOBAL PROPERTY opentrack-all-source-dirs "")
-set(opentrack-all-translations nl_NL ru_RU)
+set(opentrack-all-translations nl_NL ru_RU stub)
include(opentrack-policy)
include(opentrack-word-size)
diff --git a/contrib/translation-stub.sh b/contrib/translation-stub.sh
new file mode 100644
index 00000000..bb5ed51d
--- /dev/null
+++ b/contrib/translation-stub.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+build_dir=build-msvc15
+
+set -e
+
+dir="$(dirname -- "$0")"
+cd "$dir/.."
+
+pushd "./$build_dir" >/dev/null
+cmake --build . --target i18n >/dev/null
+popd >/dev/null
+
+rel="$(git describe --tag --alw)"
+
+rm -f "$rel"
+find . -wholename "?*/lang/stub.ts" | zip -q9 "$build_dir/$rel-i18n-stub.zip" -@